> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore an archived branch

> Restore a soft-deleted branch from the archive back to an active state.



## OpenAPI

````yaml api-reference/agents/openapi.json POST /v1/agents/{agentId}/branches/{branchId}/restore
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}/restore:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Branches
      summary: Restore an archived branch
      description: Restore a soft-deleted branch from the archive back to an active state.
      responses:
        '200':
          description: Branch restored
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestoreBranchPublicResponse'
        '404':
          description: Branch not found in archive or deployment simplification not enabled
components:
  schemas:
    RestoreBranchPublicResponse:
      type: object
      title: RestoreBranchPublicResponse
      description: Confirmation that a soft-deleted branch was restored.
      properties:
        branchId:
          type: string
        message:
          type: string
      required:
        - branchId
        - message
      additionalProperties: false
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````